@import 'variables';
@import 'fluid-type';
@import 'fonts';


* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

$min-width: 320px;
$max-width: 960px;
$min-font: 12px;
$max-font: 30px;

html {
  @include fluid-type($min-width, $max-width, $min-font, $max-font);
}

body {
  background: $background2;
  color: $font-color;
  font-family: $font-stack;
}

a {
  color: $blue;
}

header {
  border-top: 0.25rem solid $white;
  margin-top: 1.25rem;
  padding-top: 0.5rem;

  h2 {
    color: $white;
    font-size: 2.75rem;
    text-align: center;
  }
}

nav {
  text-align: center;

  ul {
    display: flex;
    justify-content: center;
    align-items: center;
    list-style-type: none;

    li {
      margin: 0 0.25rem;
    }
  }

  a {
    background: $blue;
    border-radius: 50%;
    display: inline-block;
    font-weight: bold;
    font-size: 2rem;
    height: 3rem;
    line-height: 3rem;
    text-align: center;
    text-decoration: none;
    width: 3rem;
    color: $white;

    &.blog {
      background: $orange;
    }

    &.locate {
      background: $grey;
    }
  }
}

.article-list {
  padding: 4rem 3rem 0 8rem;

  article {
    padding-bottom: 4rem;
    position: relative;

    &:first-child {
      &:after {
        content: "";
        background: $white;
        border: 0.25rem solid $grey;
        border-radius: 50%;
        display: inline-block;
        left: -5rem;
        height: 2rem;
        width: 2rem;
      }
    }

    &:after {
      content: "";
      background: $background;
      border-radius: 50%;
      border: 0.10rem solid $white;
      display: inline-block;
      height: 1.5rem;
      width: 1.5rem;

      position: absolute;
      top: 2.30rem;
      left: -4.6rem; 
    }

    &:nth-last-child(n+2) {
      &:before {
        content: "";
        background: $orange;
        display: block;
        position: absolute;
        left: -4rem;
        top: 3rem;
        height: 11rem;
        width: 0.5rem;
      }
    }

    &:first-child {
      &:before {
        height: 13rem;
      }
    }
  }
}

.inner {
  margin: 0 auto;
  max-width: 32rem;
}

h1, h2, h3, h4, h5, h6 {
  color: $orange;
}
